The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Mozilla планирует автоматизировать обновление Firefox 3.5 до версии 3.6.18

16.05.2011 20:02

30 июня истекает двухгодичный период поддержки Firefox 3.5. Примечательно, что данной веткой продолжает пользоваться около 12 миллионов человек, несмотря на периодически выводимые предупреждения о необходимости перехода на более новую версию браузера. Так как простого уведомления оказалось недостаточным, разработчики Mozilla планируют провести автоматизированное обновление текущей версии Firefox 3.5.19 на выпуск 3.6.18.

Ранее подобное не практиковалось, автоматические обновления распространялись только в рамках одной ветки браузера, для перехода на другой значительный выпуск требовалась ручная переустановка. Обновление будет проведено 21 июня в момент планового выхода релиза 3.6.18 и в день выхода релиза Firefox 5. Поддержка ветки 3.6 продлится до конца января 2012 года. Одновременно, в день выхода обновления пользователям Firefox 3.x и 4.0 будет выведено уведомление с предложением перейти на использование Firefox 5.

  1. Главная ссылка к новости (http://www.theregister.co.uk/2...)
  2. OpenNews: Официально представлен релиз Firefox 3.5. Обзор новшеств
  3. OpenNews: Релиз Firefox 4.0. Обзор новшеств
  4. OpenNews: Релиз Firefox 5 запланирован на 21 июня. Новая схема подготовки релизов
  5. OpenNews: Сформирована Aurora-ветка Firefox 5
  6. OpenNews: Релиз Firefox 3.6
Лицензия: CC-BY
Тип: К сведению
Короткая ссылка: https://opennet.ru/30572-Firefox
Ключевые слова: Firefox
При перепечатке указание ссылки на opennet.ru обязательно


Обсуждение (52) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Заоза (?), 20:53, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +5 +/
    Мне кажется, что многие пользователи этим будут недовольны..
     
     
  • 2.2, alex_hunt (ok), 21:00, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    А мне кажется, что многие вирмейкеры будут этим недовольны.

    А вообще, согласен. Возможно кому-то нужен именно 3.5 фокс.

     
     
  • 3.5, fcuku (ok), 21:07, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • –4 +/
    Тем более, что под Дарвин9 4-ки нет.
    А под 8-ой тока 3.5х
    А это бааальшой парк Макинтошей.
    Осмелюсь утверждать, что 10.4.11-х ПаверМаков поболе, чем всех Убунтов вместе взятых сейчас с запущенными ФайрФоксами в сети сидит.
     
     
  • 4.9, Аноним (-), 21:14, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Зря осмеливаешься. Года два назад где-то проскакивала инфа, что павермаки составляли порядка 3-4% от общего парка маков. Это уже на порядок меньше числа убунтоводов, а ведь за эти годы ситуация изменилась явно не в сторону снятых с производства в 2006 году машин.
     
  • 4.54, nmorozov (ok), 09:39, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >А под 8-ой тока 3.5х

    Я думаю и не будет автоапдейта

     
  • 3.7, szh (ok), 21:10, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А вообще, согласен. Возможно кому-то нужен именно 3.5 фокс.

    Да, но есть подозрение, что из тех 12 миллионов таких 120 тысяч, и наверно они узнают и отключат обновление заранее, или переустановят после апдейта.

     
  • 2.3, Анон (?), 21:01, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А никого не колышет их мнение. Вылез в интернет - будь добр вести себя прилично, а не участвовать в каком-нибудь ботнете. Любители старых дырявых браузеров последним грешат, поэтому их никто не будет слушать.
     

  • 1.4, Yoga (??), 21:02, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    А что будет с теми, у кого Debian stable и Iceweasel 3.5.16?
     
     
  • 2.8, szh (ok), 21:12, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Ничего. Это о виндовых, маковских сборках, которые обновляются c mozilla.org
     
  • 2.27, тест (?), 23:10, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    То же самое, что и с теми, у кого Debian oldstable и Iceweasel 3.0.x - добрые маинтейнеры будут бекпортировать патчи безопасности до конца поддержки дистра.
     

  • 1.6, Аноним (-), 21:09, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Обновляли бы уж сразу до 4ой ветки, что мелочиться-то.
     
  • 1.11, Аноним (-), 21:26, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ожидаемая реакция Мозиллы: "Пользователи продолжают пользоваться веткой 3.5. Может, стоит увеличить срок её поддержки?"
    Реальная реакция: "Пользователи продолжают пользоваться веткой 3.5. Нужно заставить их перейти на 3.6!"
    ...нет, серьезно. Если кто-то предпочитает более новым версиям более старым, может, для этого есть какая-то обьективная причина?
     
     
  • 2.14, iFRAME (ok), 21:31, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Обьективная причина всегда одна и та же: зачем обновляться на новую версию, если на старой у меня все работает?

    Плюс, новые версии как правило более требовательны к ресурсам, а новых полезных возможностей не добавляют. Следовательно никому не хочется покупать новое железо не получая от этого никакого реального выйгрыша

     
     
  • 3.16, mine (ok), 21:48, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Объективная причина - это отсутствие совместимых версий дополнений.
    Например, под 3.5 был замечательный аддон Read It Later. А под 3.6 выпустили новое УГ, которым пользоваться неудобно.
     
  • 3.17, Satori (?), 21:53, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Обьективная причина всегда одна и та же: зачем обновляться на новую версию,
    > если на старой у меня все работает?
    > Плюс, новые версии как правило более требовательны к ресурсам, а новых полезных
    > возможностей не добавляют. Следовательно никому не хочется покупать новое железо не
    > получая от этого никакого реального выйгрыша

    Совершенно согласен. У меня 3.6, и я доволен. А вот четвёрка на нетбуке тормозит ужасно. Иногда загрузка процессора подскакивает до 98 процентов. И это ведь простой браузер! Не видеоредактор какой-нибудь с рендерингом HD.

    Вот и получается выбор: либо перейти на якобы менее дырявую четвёрку, но для этого купить бук помощнее, либо остаться якобы на более дырявой 3.6, но не тратить свои кровные только потому, что новый релиз браузера жрёт вчетверо больше ресурсов.

    Так вот, я весьма далёк от мысли обогащать производителей железа и каждые полтора года покупать новое только потому, что софт раздувается и разбухает. И будет разбухать до тех пор, пока миллионы хомячков согласны потреблять bloatware. И вообще, мне комп нужен не только для обслуживания непомерных запросов браузера.


     
     
  • 4.19, grondek (?), 22:06, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Четверка тормозит так-то существенно меньше.
     
     
  • 5.25, Аноним (-), 22:42, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Аналогичная ситуация. Чётвёрка грузит проц жёстко. Перешёл назад на Оперу.
     
  • 4.22, Belov Sergey (ok), 22:26, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Ни на древнем компьютере (Pentium 4 1,6 GHz), ни на нетбуке (Atom 280) не заметил ни ускорения, ни замедления. Может потому что скрипты разрешены только для некоторых сайтов.
    З.Ы. автообновление на другую ветку - не одобряю.
     
  • 4.64, Аноним (-), 19:39, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А я использую 3.6,так как в 4 мне интерфейс не нравится. Представил, что меня на нее насильствено пересадят - ужос!
     
  • 2.46, the joker (ok), 06:34, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > ...нет, серьезно. Если кто-то предпочитает более новым версиям более старые, может, для
    > этого есть какая-то обьективная причина?

    Жестоко плюсую за правду и объективный подход. Наивно наслушамшись про скорость четвёрки, обновился. Столкнувшись с тормозами (да, проц слабый и памяти мало) и глюками (не отображались надписи на закладках (проблема в дровах видеокарты?), снёс к бесу и вернул 3.6.Х.

     

  • 1.12, vayerx (ok), 21:27, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    любители причинять добро
     
  • 1.13, Andrew Kolchoogin (?), 21:29, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Ну, что ж, вон, Chrome, например, вообще сам обновляется до новой мажорной версии...
     
     
  • 2.18, Disaron (ok), 22:01, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Конечно, когда его под винду поставишь через онлайн-инсталятор. Логично - раз позволил один раз, почему бы и не сесть на шею. Хотя удобно для хомячков - да. Пока не написали троян/вирус, который вместо обновы хрома поставит локер с гомосятиной на весь рабочий стол и попросит СМС. Этак вендоплатформонезависимо станет в систему с согласия пользователя :)
     
     
  • 3.24, Marbleless (?), 22:35, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Пока не написали троян/вирус, который вместо обновы
    > хрома поставит локер с гомосятиной на весь рабочий стол и попросит
    > СМС.

    На винде есть гораздо более простые способы проталкивать такие трояны, чем через инсталлятор от Хрома.

     
  • 3.26, Аноним (-), 23:00, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Я так понимаю, разница между хомячками и нехомячками проявляются в том, что первые любят, когда все работает и само обновляется, а вторые предпочитают вручную отслеживать апдейты ко всем своим программам? Извините, но я пожалуй лучше к грызунам пойду.
     
  • 3.38, skybon (ok), 01:01, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Видимо делать тебе больше нечего кроме как обновляться вручную и писать параноидальную херь здесь.
     
  • 3.45, szh (ok), 02:45, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Логично - раз позволил один раз, почему бы и не сесть на шею.

    Каждый раз когда ты ставишь софт тебе кто-то садится на шею ? тяжело то как.

    > Пока не написали троян/вирус, который вместо обновы хрома

    модный не-хомячок думает, что обновления хрома не подписанные ставятся

    модный не-хомячок думает что он еще более не хомячок когда у него стоит старая версия программы с известными уязвимостями.

     
  • 2.21, iZEN (ok), 22:16, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А если пользователь не имеет прав на установку, то всё равно?
     
     
  • 3.23, Marbleless (?), 22:34, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >А если пользователь не имеет прав на установку, то всё равно?

    А он ставится к пользователю в Application Data, куда пользователь имеет права на запись.

     
     
  • 4.31, anonymous (??), 23:25, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А он ставится к пользователю в Application Data, куда пользователь имеет права
    > на запись.

    а поскольку это винда, то о монтировании этих вещей как noexec-разделов можно даже не мечтать.

     
     
  • 5.43, Marbleless (?), 02:04, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >а поскольку это винда, то о монтировании этих вещей как noexec-разделов можно даже не мечтать.

    Если эта вещь так или иначе примонтирована как noexec-раздел, то Хром обновляться не будет. И запускаться тоже. КО.

    Если админ хочет установить один Хром на всех пользователей, то может взять набор "полезных программ" от Гугла, там есть возможность такой установки. Но тогда уж пусть изволит следить за своевременными обновлениями.

     
     
  • 6.49, anonymous (??), 08:34, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Если эта вещь так или иначе примонтирована как noexec-раздел, то Хром обновляться
    > не будет. И запускаться тоже. КО.

    и это очень, очень правильно. как первое, так и второе.

    вообще, винда, дас ист фантастиш, конечно — дают юзерам права запущать всякую гадость откуда угодно, а потом удивляются, отчего заразы понабежало.

     

  • 1.20, zazik (ok), 22:16, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Несмотря на мои симпатии к ФФ и нелюбовь к "и так сойдёт"-пользователям мне этот шаг Мозиллы не нравится, сильно отдаёт политикой МС - навязывание силой, вопреки выбору пользователя.
     
  • 1.28, anonymous (??), 23:15, 16/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    а вот не зря я тормозилле не позволяю автоматически обновляться. забыл их спросить, какую мне версию использовать, ага.
     
     
  • 2.33, Аноним (-), 23:32, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Фейсбуку с гуглом и твиттором тоже диктуешь, какую версию серверного ПО тебе использовать? А то ведь обновляют, сволочи, когда захотят. Тут кнопку уберут, тут панельку добавят.
     
     
  • 3.34, anonymous (??), 23:42, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Фейсбуку с гуглом и твиттором тоже диктуешь, какую версию серверного ПО тебе
    > использовать?

    при чём тут серверное? то, что стоит у меня на машине — не должно обновляться до следующей версии (а 3.6 таки следующая, пусть и минорная) без кучи воплей «а вот ты уверен? а точно? а хочешь?» — даже если у меня стоит опция «автоапдейта». только если стоит опция автоапдейта и рядом ещё галка «никогда не спрашивать» — только тогда молча.

    кстати: что такое «твиттер» и «фэйсбук»?

     
     
  • 4.36, Аноним (-), 23:52, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    В чем принципиальная разница? Суть минорных апдейтов - багфиксы и обновления безопасности. Как уже сказали выше, в каком-нибудь дебиане добрые дяди еще года 3-4 минимум будут дыры латать, несмотря на конец официальной поддержки. Под виндой такого нет => пользователи 3.5 остаются без заплаток, да еще и под самой уязвимой платформой. Из двух зол - или обновить пользователей до мажорной версии или оставить их сидеть без штанов мозилла выбрала первое. По-моему не самое худшее решение.
     
     
  • 5.37, anonymous (??), 23:57, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > По-моему не самое худшее решение.

    а потом они решат, что лучше меня знают, на какие сайты мне ходить. потому что я ж тупой, я сам не разберусь. а потом решат, что лучше меня знают, какие мне сервисы использовать. и так далее.

     
     
  • 6.44, Marbleless (?), 02:06, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >а потом они решат, что лучше меня знают, на какие сайты мне ходить

    Дык, уже. Защита от фишинга же.

     
     
  • 7.51, anonymous (??), 08:36, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >>а потом они решат, что лучше меня знают, на какие сайты мне ходить
    > Дык, уже. Защита от фишинга же.

    пока ещё опциональная, да. думаю, что уже достаточно скоро этот недочёт исправят.

    вон в гуглохроме, например, без ковыряния в доках посылку рефереров не отключишь — нет такой опции в гуях. без сомнения, это сделано для удобства пользователя: чтобы не отключал, гадина такая, что ни попадя.

     
  • 3.35, Crazy Alex (??), 23:44, 16/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Именно в этом 50% реальных неудобств онлайн-сервисов. Что обновляют, сволочи, когда и как захотят.
     

  • 1.39, Аноним (-), 01:02, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Все они правильно делают.
    Хром изначально ввел такую политику и сейчас чем больший процент людей переходит на хром, тем меньший процент этих людей может быть теоретически подвержен всякой заразе. У юзера практически всегда будет стоять самая последняя версия хрома (если только искусственно не выключен автоапдейт) и это мегаправильно.
    С автоапдейтом фаерфокса приходилось нажимать несколько некстов, и его включать к тому-же. С хромом просто работаешь и раз в несколько дней рестартишь по приглашению, без лишних вопросов и телодвижений.
    Если бы у Фокса и ИЕ была подобная политика поведения изначально (как у хрома), то сейчас небыло бы такого огромного зоопарка из устаревших браузеров.
    (выдохнул)
     
     
  • 2.40, anonymous (??), 01:04, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    дадада. Старший Брат всегда лучше тебя знает, что тебе надо.
     
  • 2.56, Аноним (-), 09:59, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Не знаю как там в хроме. Но что касательно ff, то не нужно же ещё раз говорить откуда у мозиловцев растут руки? По крайней мере для ff лучше долго ждать обкатки новых версий перед обновлениями
     

  • 1.48, Анонимбус (?), 08:30, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    >Firefox 3.5. Примечательно, что данной веткой продолжает пользоваться около 12 миллионов человек, несмотря на периодически выводимые предупреждения о необходимости перехода на более новую версию браузера.

    Они встретились с iceweasel? Прежде чем его обновлять до 3.6.x пусть его сперва запилят без копирайтов и патентованных картинок.

     
     
  • 2.52, anonymous (??), 08:39, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Они встретились с iceweasel? Прежде чем его обновлять до 3.6.x пусть его
    > сперва запилят без копирайтов и патентованных картинок.

    а разве визель ходит за апдейтами на сайт тормозиллы? O_O

     
     
  • 3.59, анонимище (?), 15:32, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >а разве визель ходит за апдейтами на сайт тормозиллы? O_O

    Наверное не ходит. Но его посчитали в этих миллионах.

     

  • 1.53, Аноним (-), 09:34, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Если продолжают пользоваться, значит им надо. Я был очень недоволен когда у меня Chromium не спросив обновился через GPRS.
     
  • 1.55, Аноним (-), 09:56, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Вот так снова возвращается фашизм на планету. Удар на себя орять примут виндовс пользователи. Нужно уходить на icecat.
     
  • 1.57, Аноним (-), 10:34, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Солидные ребята взяли не тот курс... то новое расписание выпуска версий, теперь самообновление...
     
     
  • 2.62, Аноним (-), 19:25, 17/05/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Солидные ребята взяли не тот курс... то новое расписание выпуска версий, теперь
    > самообновление...

    Это кто тут солидные ребята? Файровцы что ль?

     

  • 1.60, Анонимка (?), 17:28, 17/05/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Ребята, те кто недоволен, а вы пробовали вообще автообновление выключать? Специально для вас есть галочка в настройках. Нет? Тогда чего жалуетесь, если сами разрешили обновление?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру